# Contribution Guidelines
Please ensure your pull request adheres to the following guidelines:

* Please search previous suggestions before making a new one, as yours may be a duplicate.
* Please make an individual pull request for each suggestion.
* Keep descriptions short and simple.
  - There is very limited space in the README tables for descriptions. So, try to keep descriptions to 1 line in the rendered table
  - No need to say "header-only" - every library in the README is header-only
  - Examples:
    - **THIS IS TOO LONG** `<XYZ> is a lightweight header only library for doing X and Y in Z in C++17 (and later!)`
    - **THIS IS BETTER** `X and Y in Z in >=C++17.`
* End all descriptions with a full stop/period.
* Make sure your text editor is set to remove trailing whitespace.
* Order projects alphabetically within each category.
* Check your spelling and grammar.
* New categories, or improvements to the existing categorisation are welcome.

Thank you for your suggestions!
